changeset 52202:069735062524 stable

pytype: add relative timestamp to the output if `ts` is available This should help to identify the module that are the slower to analyze.
author Pierre-Yves David <pierre-yves.david@octobus.net>
date Fri, 08 Nov 2024 02:50:34 +0100
parents 7dd466f13f9b
children 5ea21e0c28aa
files contrib/check-pytype.sh
diffstat 1 files changed, 9 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/contrib/check-pytype.sh	Wed Nov 06 16:40:58 2024 +0100
+++ b/contrib/check-pytype.sh	Fri Nov 08 02:50:34 2024 +0100
@@ -68,6 +68,13 @@
 
 # TODO: include hgext and hgext3rd
 
+# use ts to produce some timing if available
+if ! command -v ts; then
+    ts() {
+        cat
+    }
+fi
+
 pytype --keep-going --jobs auto \
     doc/check-seclevel.py hgdemandimport hgext mercurial \
     -x hgext/absorb.py \
@@ -116,7 +123,8 @@
     -x mercurial/testing/storage.py \
     -x mercurial/thirdparty \
     -x mercurial/win32.py \
-    -x mercurial/wireprotov1server.py
+    -x mercurial/wireprotov1server.py \
+    | ts -i "(%.s)" | ts -s "%.s"
 
 if find .pytype/pyi -name '*.pyi' | xargs grep -ql '# Caught error'; then
     echo 'pytype crashed while generating the following type stubs:'